//
//  DFFriendReader.h
//  CrawlSpace
//
//  Created by David Finucane on 11/9/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DFWebReader.h"

@interface DFFriendReader : DFWebReader
{
  int friendID;
  id delegate;
  int numPages;
  int currentPage;
  NSMutableArray*friends;
}

- (id) initWithDelegate:(id)aDelegate timeout:(NSTimeInterval)aTimeout;
- (void) findFriends:(int)anID;
- (NSArray*) friends;
@end

@interface NSObject (DFFriendReader)
- (void)didFindFriends:(DFFriendReader*)reader withError:(NSError*)error;
@end